# this is a deployment for the tracegen utility that is delivered with Jaeger
# use with care, as it generates quite some load in the current setting
# this deployment was especially designed to test the autoscaling capabilities
# and requires an instance named 'simple-prod'. 
apiVersion: apps/v1
kind: Deployment
metadata:
  name: tracegen
  annotations:
    "sidecar.jaegertracing.io/inject": "simple-streaming"
spec:
  replicas: 15
  selector:
    matchLabels:
      app: tracegen
  template:
    metadata:
      labels:
        app: tracegen
    spec:
      containers:
      - name: tracegen
        image: jaegertracing/jaeger-tracegen:1.19
        args:
        - -duration=80m
        - -workers=15
      - name: jaeger-agent
        image: jaegertracing/jaeger-agent:1.19
        args:
        - --reporter.grpc.host-port=dns:///simple-streaming-collector-headless.default:14250
        env:
        - name: POD_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.name
        ports:
        - containerPort: 6831
          name: jg-compact-trft
          protocol: UDP
